# Command: Extrude


Adds padding to a spritesheet and spacing to the sprites within that sheet. Extruding a spritesheet is
useful for getting rid of stray pixels being rendered from neighbouring tiles due to floating point
issues in your rendering shaders.

## Usage

```text
Usage: crunch extrude [OPTIONS] <INPUT> <OUTPUT>

Arguments:
  <INPUT>   The path to the spritesheet file
  <OUTPUT>  The path to write the extruded spritesheet

Options:
  -x, --space-x <SPACE_X>      The amount of horizontal space to add between each sprite in the image [default: 0]
  -y, --space-y <SPACE_Y>      The amount of vertical space to add between each sprite in the image [default: 0]
  -p, --padding <PADDING>      The amount of padding to add around the edge of the spritesheet [default: 0]
  -t, --tile-size <TILE_SIZE>  The size of each tile in the spritesheet. Assumed to be square tiles [default: 32]
  -h, --help                   Print help
  -V, --version                Print version
```

## Example

![](/images/Extrude.png)